#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=i2400m";

MODULE_ALIAS("usb:v8086p0186d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v8086p0188d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v8086p0187d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v8086p0181d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v8086p1403d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v8086p1405d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v8086p0180d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v8086p0182d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v8086p1406d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v8086p1403d*dc*dsc*dp*ic*isc*ip*");
